Bug 10089 - mod_security just broken
: mod_security just broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mod_security)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-05 17:15 by
Modified: 2006-10-10 15:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-05 17:15:41
[root@iceberg ~]# service httpd start
Starting libhttpd.ep service: Processing config directory:
/etc/httpd/conf/addon-modules.d/*.conf
 Processing config file: /etc/httpd/conf/addon-modules.d/apache-mod_php.conf
 Processing config file: /etc/httpd/conf/addon-modules.d/mod_charset.conf
 Processing config file: /etc/httpd/conf/addon-modules.d/mod_jk.conf
[Thu Oct  5 16:05:50 2006] [warn] module mod_jk.c is already added, skipping
 Processing config file: /etc/httpd/conf/addon-modules.d/mod_realip.conf
 Processing config file: /etc/httpd/conf/addon-modules.d/mod_security.conf
Syntax error on line 1 of /etc/httpd/conf/addon-modules.d/mod_security.conf:
Cannot load /etc/httpd/mod_security.so into server: /etc/httpd/mod_security.so:
cannot open shared object file: No such file or directory
                                                                               
                      [FAILED]
[root@iceberg ~]# mc
[root@iceberg addon-modules.d]#
[root@iceberg addon-modules.d]# rpm -qf mod_security.conf
mod_security-1.9.4-alt2
[root@iceberg addon-modules.d]# rpm -V mod_security-1.9.4-alt2
[root@iceberg addon-modules.d]# head -2 mod_security.conf
LoadModule security_module      mod_security.so

[root@iceberg addon-modules.d]# rpm -q --lastchange mod_security
* Tue Sep 26 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.4-alt2

- Don't use full path to mod_security.so in apache config because it make
  troubles on x86_64 (reported by thresh@)
[root@iceberg addon-modules.d]#  

Я не знаю что было починено, но оно теперь просто не работает из коробки.
------- Comment #1 From 2006-10-06 08:51:07 -------
УУпс.

Fixed in 1.9.4-alt3.